package com.fdkankan.scene.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.common.response.ResultData;
import com.fdkankan.scene.entity.ScenePlus;
import com.fdkankan.scene.vo.SceneCheckKeyParamVO;
import java.util.List;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * <p>
 * 场景主表 服务类
 * </p>
 *
 * @author 
 * @since 2022-03-16
 */
public interface IScenePlusService extends IService<ScenePlus> {

    ScenePlus getScenePlusByNum(String num);

    ResultData resetSpace(String num) throws Exception;

    ResultData checkKey(SceneCheckKeyParamVO param) throws Exception;

    ResultData updateScenePlusUserIdByCameraId(List<Long> cameraIdList, Long userId);

    ResultData moveScene(List<String> numList, Long cameraId, Long userId);




}
